--- title: "Get Name Resolution Configuration at Domain level" slug: "get-name-resolution-configuration-at-domain-level-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:21Z published: 2026-11-19T12:57:21Z canonical: "docs.trellix.com/get-name-resolution-configuration-at-domain-level-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Name Resolution Configuration at Domain level This URL gets name resolution configuration at domain level. ### Resource URL GET /domain//nameresolution ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `domain_id` | Domain id | Number | Yes | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `DNSDetailsElement` | Object that contains the details of the fields | Object | Details of fields in DNSDetailsElement: | Field Name | Description | Data Type | | --- | --- | --- | | `inheritFromIPSSetting` | Inherit setting from parent domain | Boolean | | `enableNameResolution` | Enable name resolution setting | Boolean | | `dnsSuffixList` | List of DNS suffix | Array | | `primaryDNSServer` | Primary DNS server IP, mandatory when name resolution is enabled | String | | `secondaryDNSServer` | Secondary DNS server IP | String | | `refreshIntervalInHours` | Refresh interval in hours, applicable only for NTBA device | Number | ### Example **Request** GET [https:///sdkapi/domain/0/nameresolution](https://<NSM_IP>/sdkapi/domain/0/nameresolution) **Response** ``` {       "inheritFromIPSSetting": false,       "enableNameResolution": true,       "dnsSuffixList":       [           "outlook.com",           "google.com"       ],       "primaryDNSServer": "172.16.230.211",       "secondaryDNSServer": "172.16.232.72",       "refreshIntervalInHours": 120     } ``` ### Error Information Following error code is returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1105 | Invalid domain |